## com.crystaldecisions.sdk.occa.report.data
Class ParameterFieldValue

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.Value
          com.crystaldecisions.sdk.occa.report.data.ParameterFieldValue

All Implemented Interfaces:
  IClone, IParameterFieldValue, IValue

Direct Known Subclasses:
  ParameterFieldDiscreteValue, ParameterFieldRangeValue

public abstract class ParameterFieldValue
extends Value
implements IParameterFieldValue, IClone

This object represents a parameter field value. When possible, use `IParameterFieldValue` to manipulate this object.

Constructor Summary
`ParameterFieldValue()`

Method Summary
`abstract java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`void` | `copyTo(java.lang.Object destObject, boolean deepCopy)` Copies the object.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`java.lang.String` | `getDescription()` Returns a description of the parameter's value.
`boolean` | `hasContent(java.lang.Object srcParameterFieldValue)` Returns `true` if this object contains the same elements as the passed in object.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(XMLWriter writer, java.lang.String sTag, XMLSerializationContext ctxt)` For internal use only.
`void` | `save(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `setDescription(java.lang.String description)` Sets a description of the parameter's value.
`void` | `startElement(java.lang.String eleName, java.util.Map objState)` For internal use only.

Methods inherited from class com.crystaldecisions.sdk.occa.report.data.Value
`computeText, displayText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.crystaldecisions.sdk.occa.report.data.IValue
`computeText, displayText`

Constructor Detail

### ParameterFieldValue

    public ParameterFieldValue()

Method Detail

### clone

    public abstract java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Specified by:
    `clone` in class `Value`

### copyTo

    public void copyTo(java.lang.Object destObject,
                       boolean deepCopy)

  Description copied from interface: `IClone`

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Specified by:
    `copyTo` in class `Value`

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `createMember` in class `Value`

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `endElement` in class `Value`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `IParameterFieldValue`

  Returns a description of the parameter's value.

  Specified by:
    `getDescription` in interface `IParameterFieldValue`
  Returns:
    A description of the parameter's value as a `String`.

### hasContent

    public boolean hasContent(java.lang.Object srcParameterFieldValue)

  Description copied from interface: `IClone`

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Specified by:
    `hasContent` in class `Value`

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `readElement` in class `Value`

### save

    public void save(XMLWriter writer,
                     java.lang.String sTag,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `save` in class `Value`
  Throws:
    `java.io.IOException`

### save

    public void save(XMLWriter writer,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `save` in class `Value`
  Throws:
    `java.io.IOException`

### saveContents

    public void saveContents(XMLWriter writer,
                             XMLSerializationContext ctxt)
                      throws java.io.IOException

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `saveContents` in class `Value`
  Throws:
    `java.io.IOException`

### setDescription

    public void setDescription(java.lang.String description)

  Description copied from interface: `IParameterFieldValue`

  Sets a description of the parameter's value.

  Specified by:
    `setDescription` in interface `IParameterFieldValue`
  Parameters:
    `description` - A description of the parameter's value as a `String`.

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState)

  For internal use only.